Subject: (urth) Out of print books

From: adam louis stephanides <astephan at students.uiuc.edu>
Date: Tue, 16 Jun 1998 10:12:56 +0000

On Mon, 15 Jun 1998 Jason Voegele wrote:

> I've tried everywhere for both of these, to no avail.  However, check out
> amazon.com and try their "out of print" ordering, they turned up a copy of
> "Species" within a matter of hours, but I regretfully couldn't afford it at
> the moment.  You may have to pay a little extra, but I'm sure it's worth it
> to you.

Or a lot extra: amazon.com often charges very high prices for out of print
books.  Try www.mxbf.com or www.bibliofind.com first.  I've used the
former myself, and found it very helpful; it automatically connects you to
a number of electronic book search services, including amazon.com (when I
used it last).

--Adam

*More Wolfe info & archive of this list at http://www.urth.net/urth/